﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.Zip;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        MemoryStream memStream = new MemoryStream();
        ZipPackage Package = ZipPackage.Create(memStream);
        Stream stream2 = File.OpenRead(Server.MapPath("Umläült.txt"));
        Package.AddStream(stream2, "Umläült.txt");

        Package.Close(false);
        memStream.Position = 0;

        if (memStream != null && memStream.Length > 0)
        {
            Response.Clear();
            Response.AddHeader("content-disposition", "attachment; filename=Umlauts.zip");
            Response.ContentType = "application/zip";
            Response.BinaryWrite(memStream.ToArray());
            Response.End();
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        if (Upload1.HasFile)
        {
            using (ZipPackage Package = ZipPackage.Open(Upload1.FileContent))
            {
                List<ZipPackageEntry> allEntries = Package.ZipPackageEntries.ToList();
                foreach (ZipPackageEntry entry in allEntries)
                {
                    string fileName = System.IO.Path.GetFileNameWithoutExtension(entry.FileNameInZip.ToLower());
                    Label1.Text += fileName + "; ";
                }
            }
        }
    }
}